#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-LhD3ErSoBR8HLkXfasbkc7
key: jose-0.7.0.0-LhD3ErSoBR8HLkXfasbkc7
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
author: Fraser Tweedale
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
abi: 58c1136d5a13fbf719697be83511caff
exposed: True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
import-dirs: /usr/lib/ghc-8.6.5/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.6.5/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.5/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-LhD3ErSoBR8HLkXfasbkc7
depends:
    QuickCheck-2.13.2-2FrYL0Zx0JL1157x99MUYA
    aeson-1.4.4.0-2rVYFr4zHxOH3WhRjqDPZY
    attoparsec-0.13.2.2-6hbeq4AVpu4BObfg0Ve4St base-4.12.0.0
    base64-bytestring-1.0.0.2-7zYdD3kTvDlD1D30r2J6kg
    bytestring-0.10.8.2 concise-0.1.0.1-45MHtluBsDq4DssOt8hhgG
    containers-0.6.0.1 cryptonite-0.26-CDY1m3syfqq9pANhaEyZh6
    lens-4.17.1-AQSs59My3XeIXOSEf7w1id
    memory-0.14.18-2FfCNwP2nzn4wBPtrz4oOB
    monad-time-0.3.1.0-9WsuLBKAlPL3yTdJ9sJWEr mtl-2.2.2
    network-uri-2.6.1.0-K75fCYvLQE41EntOQ30cqK
    quickcheck-instances-0.3.22-6fDuoT73Lx93kICL53ruCA
    safe-0.3.17-43oyx4B630gDZMbTh3Ttji template-haskell-2.14.0.0
    text-1.2.3.1 time-1.8.0.2
    unordered-containers-0.2.10.0-HXsxAsTvm9z649814xbQu4
    vector-0.12.0.3-2LEYu9M2i7lERDtz76XG3n
    x509-1.7.5-D4D7GZDSHKGGpBDxiuAW87
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

